routes/web.php
<?php

use Illuminate\Support\Facades\Route;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/binary', 'BinaryController@index')->name('binary');

Route::get('/broker/{broker}', 'BrokerWebController@index')->name('web_broker');

Route::get('/contact', 'ContactController@index')->name('contact');

Route::get('/support', 'SupportController@index')->name('support');

Route::get('/features', 'FeaturesController@index')->name('features');

Route::get('/how-its-work', 'How_its_workController@index')->name('how-its-work');

Route::get('/terms-and-condition', 'Terms_conditionController@index')->name('terms');

Route::get('/privacy-policy', 'PrivacyController@index')->name('privacy');

Route::get('/mainpage', 'MainpageController@index')->name('mainpage');
Route::post('/withdraw-request/store', 'MainpageController@transactionStore')->name('transaction.store');
Route::post('/withdraw-request', 'MainpageController@withDrawRequestStatus')->name('withdraw_request_status');
Route::get('/', 'WelcomeController@index')->name('Homepage');


Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::middleware(['auth'])->group(function () {
    Route::get('/myaccount', ('AccountController@index'))->name('my_account');
    Route::post('/update-broker-id', ('AccountController@updateBrokerAccountId'))->name('update_broker_account');
    Route::get('/refered_user', ('ReferedUserController@index'))->name('refered_user');
    Route::get('/withdrawl', ('WithdrawlController@index'))->name('withdrawl');
    Route::get('/leaderboard', ('LeaderboardController@index'))->name('leaderboard');
    Route::post('/popup-status-update', ('AccountController@popUpStatusUpdate'))->name('popup_update_status');
});

Route::namespace("Admin")->prefix('admin')->group(function(){

    Route::resource('/broker', BrokerController::class);
    Route::resource('/payment', PaymentController::class);
    Route::get('/trade', 'Trade@index')->name('Trade.index');
    Route::get('/verify-booker-user', 'BrokerController@verifyBooker')->name('verify.user.booker');
    Route::get('/verify-booker-user-status/{user_account}', 'BrokerController@approvedBookerAccount')->name('verify.user.booker.update');
    Route::post('/trade', 'Trade@store')->name('Trade.store');
	Route::get('/', 'HomeController@index')->name('admin.home');
    Route::get('/users', 'UserController@index')->name('user.index');
    Route::get('/user/{user}/action-history', 'UserController@actionHistory')->name('user_action.history');
    Route::get('/user/{user}/export', 'UserController@actionHistoryExport')->name('user_action.history_export');
    Route::get('/user/{user}/withdraw/export', 'UserController@withdrawHistoryExport')->name('user_action.withdraw_export');
    Route::get('/user/{user}/status', 'UserController@status')->name('user.status');
    Route::get('/user/{user}/delete', 'UserController@delete')->name('user.delete');
    Route::get('/user/{user}/transactiondelete', 'UserController@transactiondelete')->name('user.transactiondelete');
    Route::get('/user/{user}/referal', 'UserController@referal')->name('user.referals');
    Route::get('/user/{user}/summary', 'UserController@summary')->name('user.summary');
	Route::get('/withdraw-request', 'HomeController@transaction')->name('transaction.index');
    Route::get('/setting', 'HomeController@Setting')->name('settings');
    Route::post('/setting/update', 'HomeController@settingUpdate')->name('settings.update');
    Route::get('/activity-logs', 'UserController@activityLogs')->name('activity-logs');
    Route::get('/user-summary-report', 'UserController@userSummaryReport')->name('user-report-account');
    Route::get('/user-site-summary-report', 'UserController@withUserSiteSummaryExport')->name('user-site-summary-report');
    Route::resource('/accounts', AccountController::class);
    Route::get('monthly-level-down', 'UserController@monthlyLevelDown')->name('monthly-level-down');

    Route::namespace('Auth')->group(function(){
        Route::get('/login', 'LoginController@showLoginForm')->name('admin.login');
        Route::post('/login', 'LoginController@login');
        Route::post('logout', 'LoginController@logout')->name('admin.logout');
    });
});

Route::get('referal/{account_id}/register', 'ReferedUserController@referredView')->name('user_referred');

Route::get('/email', function () {
    $data = [
        'name' => 'Shehryar',    
        'request_amount' => 125.50,    
        'date' => \Carbon\Carbon::now()->format('Y-m-d h:i a'),    
    ];
    Mail::send('email/withdrawl-request-email', ['data'=>$data ], function ($message) use ($data) {
        $message->to('shehryarhaider0316@gmail.com')
            ->from('info@fxcashbacks.com','FXCASHBACKS')
            ->subject("Welcome to FxCashbacks");
    });
    return "DOne";
});
Route::get('reset', function (){
    Artisan::call('route:clear');
    Artisan::call('view:clear');
    // Artisan::call('route:cache');
    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    // Artisan::call('optimize'x);
    echo "cache Clear";
});

resources/views/admin/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>FxCashbacks</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Raleway:300,400,600" rel="stylesheet" type="text/css">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    {{-- dashboard links Cs --}}

<!-- Favicons -->
<link href="{{ url('')}}/assets/img/favicon.png" rel="icon">
<link href="{{ url('')}}/assets/img/apple-touch-icon.png" rel="apple-touch-icon">

<!-- Google Fonts -->
<link href="https://fonts.gstatic.com" rel="preconnect">
<link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">

<!-- Vendor CSS Files -->
<link href="{{ url('')}}/assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
<link href="{{ url('')}}/assets/vendor/bootstrap-icons/bootstrap-icons.css" rel="stylesheet">
<link href="{{ url('')}}/assets/vendor/remixicon/remixicon.css" rel="stylesheet">
<link href="{{ url('')}}/assets/vendor/boxicons/css/boxicons.min.css" rel="stylesheet">
<link href="{{ url('')}}/assets/vendor/quill/quill.snow.css" rel="stylesheet">
<link href="{{ url('')}}/assets/vendor/quill/quill.bubble.css" rel="stylesheet">
<link href="{{ url('')}}/assets/vendor/simple-datatables/style.css" rel="stylesheet">
<link rel="stylesheet" href="{{url('')}}/assets/sweetalert2/sweetalert2.min.css">

<!-- Template Main CSS File -->
<link href="{{ url('')}}/assets/css/style.css" rel="stylesheet">
<link rel="stylesheet" href="https://cdn.datatables.net/1.11.4/css/jquery.dataTables.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/buttons/2.2.2/css/buttons.dataTables.min.css">

<!-- =======================================================
* Template Name: NiceAdmin - v2.1.0
* Template URL: https://bootstrapmade.com/nice-admin-bootstrap-admin-html-template/
* Author: BootstrapMade.com
* License: https://bootstrapmade.com/license/
======================================================== -->


    {{-- dashboard links Cs --}}


</head>
<body>


    @include('admin.layouts.header')
    @include('admin.layouts.sidebar')
    @yield('content')

 <!-- ======= Footer ======= -->
<footer id="footer" class="footer">
    <div class="copyright">
      &copy; Copyright <strong><span>Cashback</span></strong>. All Rights Reserved
    </div>
    <div class="credits">
      <!-- All the links in the footer should remain intact. -->
      <!-- You can delete the links only if you purchased the pro version. -->
      <!-- Licensing information: https://bootstrapmade.com/license/ -->
      <!-- Purchase the pro version with working PHP/AJAX contact form: https://bootstrapmade.com/nice-admin-bootstrap-admin-html-template/ -->
      Designed by <a href="https://hashlob.com/">Hashlob</a>
    </div>
</footer><!-- End Footer -->








    {{-- <div id="app">
        <nav class="navbar navbar-expand-md navbar-light navbar-laravel">
            <div class="container">
                <a class="navbar-brand" href="{{ route('admin.home') }}">
                    Admin
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->


                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest('admin')
                            <li><a class="nav-link" href="{{ route('admin.login') }}">{{ __('Admin Login') }}</a></li>
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('admin.logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('admin.logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>  --}}

    <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

    <!-- Vendor JS Files -->
    <script src="{{url('')}}/vendor/jquery/jquery.min.js"></script>

    <script src="{{ url('')}}/assets/vendor/bootstrap/js/bootstrap.bundle.js"></script>
    <script src="{{ url('')}}/assets/vendor/php-email-form/validate.js"></script>
    <script src="{{ url('')}}/assets/vendor/quill/quill.min.js"></script>
    <script src="{{ url('')}}/assets/vendor/tinymce/tinymce.min.js"></script>
    <script src="{{ url('')}}/assets/vendor/simple-datatables/simple-datatables.js"></script>
    <script src="{{ url('')}}/assets/vendor/chart.js/chart.min.js"></script>
    <script src="{{ url('')}}/assets/vendor/apexcharts/apexcharts.min.js"></script>
    <script src="{{ url('')}}/assets/vendor/echarts/echarts.min.js"></script>
    <script src="{{ url('')}}/assets/js/main.js"></script>
    <!-- END CORE PLUGINS -->
    <script src="{{url('')}}/assets/axios/axios.min.js"></script>
    {{-- SweetAlert2 --}}
    <script src="{{url('')}}/assets/sweetalert2/sweetalert2.min.js" charset="UTF-8"></script>
  
    @yield('page-script')
</body>
</html>

resources/views/admin/layouts/header.blade.php
 <!-- ======= Header ======= -->
 <header id="header" class="header fixed-top d-flex align-items-center">

    <div class="d-flex align-items-center justify-content-between">
      <a href="{{url('admin.home')}}" class="logo d-flex align-items-center">
        <img src="assets/img/logo.png" alt="">
        <span class="d-none d-lg-block">FXCASHBACKS</span>
      </a>
      <i class="bi bi-list toggle-sidebar-btn"></i>
    </div><!-- End Logo -->

    <nav class="header-nav ms-auto">
      <ul class="d-flex align-items-center">

        <li class="nav-item dropdown pe-3">

          <a class="nav-link nav-profile d-flex align-items-center pe-0" href="#" data-bs-toggle="dropdown">
            <img src="{{url('')}}/assets/img/profile-img.jpg" alt="Profile" class="rounded-circle">
            {{-- <span class="d-none d-md-block dropdown-toggle ps-2"> {{ Auth::user()->name }} </span> --}}
          </a>
          <!-- End Profile Iamge Icon -->

          <ul class="dropdown-menu dropdown-menu-end dropdown-menu-arrow profile">
            <li class="dropdown-header">
              <h6>Welcome Admin!</h6>
            </li>
            <li>
              <hr class="dropdown-divider">
            </li>

            {{-- <li>
              <a class="dropdown-item d-flex align-items-center" href="#">
                <i class="bi bi-person"></i>
                <span>My Profile</span>
              </a>
            </li> --}}
            <li>
              <hr class="dropdown-divider">
            </li>
            <li>
              <a class="dropdown-item d-flex align-items-center" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                <i class="bi bi-box-arrow-right"></i>
                <span>Sign Out</span>
              </a>
              <form id="logout-form" action="{{ route('admin.logout') }}" method="POST" style="display: none;">
                @csrf
              </form>
            </li>

          </ul><!-- End Profile Dropdown Items -->
        </li><!-- End Profile Nav -->

      </ul>
    </nav><!-- End Icons Navigation -->

</header><!-- End Header -->

resources/views/admin/layouts/sidebar.blade.php
  <!-- ======= Sidebar ======= -->
  <aside id="sidebar" class="sidebar">

    <ul class="sidebar-nav" id="sidebar-nav">

      <li class="nav-item">
        <a class="nav-link " href="{{route('admin.home')}}">
          <i class="bi bi-grid"></i>
          <span>Dashboard</span>
        </a>
      </li><!-- End Dashboard Nav -->
      @if (Auth::guard('admin')->user()->user_type == 1)
      <li class="nav-item">
        <a class="nav-link collapsed" data-bs-target="#components-nav" data-bs-toggle="collapse" href="#">
          <i class="bi bi-menu-button-wide"></i><span>Admin Accounts</span><i class="bi bi-chevron-down ms-auto"></i>
        </a>
        <ul id="components-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
          <li>
            <a href="{{route('accounts.create')}}">
              <i class="bi bi-circle"></i><span>Add Account</span>
            </a>
          </li>
          <li>
            <a href="{{route('accounts.index')}}">
              <i class="bi bi-circle"></i><span>View Account</span>
            </a>
          </li>

        </ul>
      </li><!-- End Components Nav --> 
      @endif
      <li class="nav-item">
        <a class="nav-link collapsed" data-bs-target="#broker-components-nav" data-bs-toggle="collapse" href="#">
          <i class="bi bi-menu-button-wide"></i><span>Brokers</span><i class="bi bi-chevron-down ms-auto"></i>
        </a>
        <ul id="broker-components-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
          <li>
            <a href="{{route('broker.create')}}">
              <i class="bi bi-circle"></i><span>Add Broker</span>
            </a>
          </li>
          <li>
            <a href="{{route('broker.index')}}">
              <i class="bi bi-circle"></i><span>View Broker</span>
            </a>
          </li>

        </ul>
      </li><!-- End Components Nav --> 

      <li class="nav-item">
        <a class="nav-link collapsed" data-bs-target="#payment-nav" data-bs-toggle="collapse" href="#">
          <i class="bi bi-menu-button-wide"></i><span>Payment Methods</span><i class="bi bi-chevron-down ms-auto"></i>
        </a>
        <ul id="payment-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
          <li>
            <a href="{{route('payment.create')}}">
              <i class="bi bi-circle"></i><span>Add Payment Method</span>
            </a>
          </li>
          <li>
            <a href="{{route('payment.index')}}">
              <i class="bi bi-circle"></i><span>View Payment Method</span>
            </a>
          </li>

        </ul>
      </li><!-- End Components Nav -->
      <li class="nav-item">
        <a class="nav-link collapsed" data-bs-target="#forms-nav" data-bs-toggle="collapse" href="#">
          <i class="bi bi-journal-text"></i><span>Users</span><i class="bi bi-chevron-down ms-auto"></i>
        </a>
        <ul id="forms-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
          <li>
            <a href="{{route('user.index')}}">
              <i class="bi bi-circle"></i><span>View Users</span>
            </a>
          </li>

        </ul>
      </li><!-- End Forms Nav -->
     
      <li class="nav-item">
        <a class="nav-link collapsed" data-bs-target="#verify_user_forms-nav" data-bs-toggle="collapse" href="#">
          <i class="bi bi-journal-text"></i><span>Verify Booker User </span><i class="bi bi-chevron-down ms-auto"></i>
        </a>
        <ul id="verify_user_forms-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
          <li>
            <a href="{{route('verify.user.booker')}}">
              <i class="bi bi-circle"></i><span>View</span>
            </a>
          </li>

        </ul>
      </li><!-- End Forms Nav -->
      <li class="nav-item">
        <a class="nav-link collapsed" data-bs-target="#export_forms-nav" data-bs-toggle="collapse" href="#">
          <i class="bi bi-journal-text"></i><span>Import User Sheets</span><i class="bi bi-chevron-down ms-auto"></i>
        </a>
        <ul id="export_forms-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
          <li>
            <a href="{{route('Trade.index')}}">
              <i class="bi bi-circle"></i><span>Import</span>
            </a>
          </li>

        </ul>
      </li><!-- End Forms Nav -->
      <li class="nav-item">
        <a class="nav-link collapsed" data-bs-target="#transaction_forms-nav" data-bs-toggle="collapse" href="#">
          <i class="bi bi-journal-text"></i><span>WithDraw Request</span><i class="bi bi-chevron-down ms-auto"></i>
        </a>
        <ul id="transaction_forms-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
          <li>
            <a href="{{route('transaction.index')}}">
              <i class="bi bi-circle"></i><span>View</span>
            </a>
          </li>

        </ul>
      </li><!-- End Forms Nav -->
      <li class="nav-item">
        <a class="nav-link collapsed" data-bs-target="#activity-forms-nav" data-bs-toggle="collapse" href="#">
          <i class="bi bi-journal-text"></i><span>Activity Logs</span><i class="bi bi-chevron-down ms-auto"></i>
        </a>
        <ul id="activity-forms-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
          <li>
            <a href="{{route('activity-logs')}}">
              <i class="bi bi-circle"></i><span>View Activity Logs</span>
            </a>
          </li>

        </ul>
      </li><!-- End Forms Nav -->
      <li class="nav-item">
        <a class="nav-link collapsed" data-bs-target="#report-forms-nav" data-bs-toggle="collapse" href="#">
          <i class="bi bi-journal-text"></i><span>Reports</span><i class="bi bi-chevron-down ms-auto"></i>
        </a>
        <ul id="report-forms-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
          <li>
            <a href="{{route('user-report-account')}}">
              <i class="bi bi-circle"></i><span>User Summary Report </span>
            </a>
          </li>

        </ul>
      </li><!-- End Forms Nav -->
      <li class="nav-item">
        <a class="nav-link collapsed" data-bs-target="#settings_forms-nav" data-bs-toggle="collapse" href="#">
          <i class="bi bi-journal-text"></i><span>Settings</span><i class="bi bi-chevron-down ms-auto"></i>
        </a>
        <ul id="settings_forms-nav" class="nav-content collapse " data-bs-parent="#sidebar-nav">
          <li>
            <a href="{{route('settings')}}">
              <i class="bi bi-circle"></i><span>Settings</span>
            </a>
          </li>

        </ul>
      </li><!-- End Forms Nav -->
    </ul>

</aside><!-- End Sidebar-->